<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
include("DMMYSQLG.php");
class PDF extends FPDF{
//Cabecera de página
	function Header(){
	    //Logo
	         include("DYIM_VER.php");
	    //Arial bold 14
		$this->SetFont('Arial','B',18);
		//Título
		$this->Cell(235,5,'CATALOGO:  COMPAÑIAS',0,1,'C',0);
		//Salto de línea
		$this->Ln(8);
		$this->SetFont('Arial','B',8);//establece tamaño de letra
		$this->SetFillColor(192,192,192);
		$this->Cell(50,5,'',0,0,'C',0);
		$this->Cell(40,5,'CLAVE DE COMPAÑIA',1,0,'C',1);
		$this->Cell(50,5,'NOMBRE DE COMPAÑIA',12,0,'C',1);
		$this->cell(40,5,'RFC',1,0,'C',1);
		$this->cell(50,5,'NOMBRE DEL CONTACTO',12,1,'C',1);
		//$this->cell(20,5,'Fecha de Entrada',1,0,'C',1);
		//$this->cell(20,5,'Fecha de Salida',1,1,'C',1);
	
	}	
	//Pie de página
	function Footer()
	{
	//Posición: a 1,5 cm del final
	$this->SetY(-15);
	//Arial italic 8
	$this->SetFont('Arial','I',8);
	//Número de página
	$this->Cell(0,10, $this->PageNo(),0,0,'C');
	}
}

$pdf=new PDF('L','mm','Letter');
$pdf->AddPage();

$pdf->SetFillColor(192,192,192);
$pdf->SetFont('Arial','',7);//establece tamaño de letra
if(!isset($_POST['tbus']))$_POST['tbus']="";
$tbus=mysqli_real_escape_string($GLOBALS['con'],$_POST['tbus']);
if(!isset($_POST['bot']))$_POST['bot']="";
if($_POST['bot']=="")
    $sql =  mysqli_query($GLOBALS['con'] ,"SELECT * FROM fcompas order by agclave");
	//$sql = mysqli_query($GLOBALS['con'] ,$_POST['tbus']);
else
	@$sql = mysqli_query($GLOBALS['con'] ,"select * from fcompas where n_reg = '".$_POST['bot']."'") ;
	
while($row = mysqli_fetch_array($sql)){
    $pdf-> Cell(50,5,'',0,0,'C',0);
	$pdf-> Cell(40,5, $row["agclave"],1,0,'C',0);
	$pdf-> Cell(50,5, $row["pdesco"],1,0,'C',0);
	$pdf-> Cell(40,5, $row["arfc"],1,0,'C',0);
	$pdf-> Cell(50,5, $row["acontacto"],1,1,'C',0);
	//$pdf-> Cell(20,5, $row["gfechallegada"],1,0,'C',0);
	//$pdf-> Cell(20,5, $row["gfechasalida"],1,1,'C',0);
}
$pdf->Output("Catalogo De Compañias.pdf","D");
?> 